class AddWinkelstraatTaxons < ActiveRecord::Migration

  WOMEN_CATEGORIES = ["Accessoires", "Badmode", "Blazers & Gilets", "Blouses", "Broeken", "Jassen", "Jeans",
                      "Jumpsuits", "Jurken", "Lingerie", "Nachtmode", "Rokken", "Schoenen", "Sport", "Tassen", "Tops", "Truien & Vesten"]
  MEN_CATEGORIES = ["Accessoires", "Badmode", "Broeken", "Colberts & Gilets", "Jassen", "Jeans", "Ondergoed",
                    "Overhemden", "Schoenen", "Shirts", "Sport", "Truien", "Vesten"]
  KIDS_CATEGORIES = ["Jongens", "Meisjes"]

  def change
    taxonomy = Spree::Taxonomy.find_or_create_by(name: 'Winkelstraat Category')

    WOMEN_CATEGORIES.each do |taxon|
      Spree::Taxon.find_or_create_by(name: taxon, taxonomy: taxonomy)
    end

    MEN_CATEGORIES.each do |taxon|
      Spree::Taxon.find_or_create_by(name: taxon, taxonomy: taxonomy)
    end

    KIDS_CATEGORIES.each do |taxon|
      Spree::Taxon.find_or_create_by(name: taxon, taxonomy: taxonomy)
    end
  end
end
