class AddWinkelstraatPaymentMethodAndShippingMethod < ActiveRecord::Migration
  def change
    Spree::PaymentMethod.find_or_create_by(name: 'Paid at winkelstraat', display_on: :back_end, type: 'Spree::PaymentMethod::Check', active: true)

    sm = Spree::ShippingMethod.find_or_create_by(name: 'Shipped by winkelstraat', display_on: :back_end, admin_name: 'Winkelstraat shipping')
    sm.zones = Spree::Zone.all
    sm.shipping_categories = [Spree::ShippingCategory.first]
    sm.calculator = Spree::Calculator::Shipping::FlatRate.create(calculable: sm) unless sm.calculator.present?
    sm.save!
  end
end
